<?php
/*
Plugin Name: Fix Broken WooCommerce Cancel URL
Plugin URI: https://www.wpintense.com
Description: This plugin fixes the WooCommerce broken Cancel URL - PayPal have altered how they handle the cancel URL, this plugin fixes it until WooCommerce release a fix.
Version: 1.0
Author: David Hilditch
Author URI: https://www.wpintense.com
License: GPL 3
*/
add_filter( 'woocommerce_paypal_args', 'woo_override_cancel_url', 10, 2 );
function woo_override_cancel_url( $args, $order ) {
    $args['cancel_return'] = urlencode( $order->get_cancel_order_url_raw() );
    return $args;
}
